> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a usage summary

> Get totals for your TokenChange inference usage over the last 24 hours, 7 or 30 days: requests, tokens and latency. Requires the usage:read scope.



## OpenAPI

````yaml api-reference/openapi.json GET /v1/usage/summary
openapi: 3.1.0
info:
  title: TokenChange API
  description: >-
    Manage TokenChange resources with a gateway API token. Errors share one
    envelope: `{"error":{"type","code","message"}}`.
  license:
    name: ''
  version: '1'
servers:
  - url: https://api.tokenchange.io
security: []
tags:
  - name: models
    description: Catalog models and endpoints
  - name: keys
    description: Inference API keys
  - name: usage
    description: Usage analytics
  - name: billing
    description: Credit balance and history
  - name: provider
    description: Your provider account, endpoints, validations and earnings
paths:
  /v1/usage/summary:
    get:
      tags:
        - usage
      operationId: usage_summary
      parameters:
        - name: range
          in: query
          description: Defaults to `7d`.
          required: false
          schema:
            $ref: '#/components/schemas/UsageRange'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageSummary'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorBody'
      security:
        - bearer:
            - usage:read
components:
  schemas:
    UsageRange:
      type: string
      enum:
        - 24h
        - 7d
        - 30d
    UsageSummary:
      type: object
      required:
        - range
        - requests
        - tokens_in
        - tokens_out
        - tokens_cached
        - models_used
        - avg_latency_ms
        - avg_ttft_ms
        - avg_tpot_ms
      properties:
        avg_latency_ms:
          type: number
          format: double
        avg_tpot_ms:
          type: number
          format: double
        avg_ttft_ms:
          type: number
          format: double
        models_used:
          type: integer
          format: int64
        range:
          $ref: '#/components/schemas/UsageRange'
        requests:
          type: integer
          format: int64
        tokens_cached:
          type: integer
          format: int64
        tokens_in:
          type: integer
          format: int64
        tokens_out:
          type: integer
          format: int64
    ErrorBody:
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
    ErrorDetail:
      type: object
      required:
        - type
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
        resource_id:
          type:
            - string
            - 'null'
        type:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: A gateway API token (`tcg_…`) created in the dashboard

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.